# GitLab README

* GitLab链接：http://dalab.se.sjtu.edu.cn/gitlab

## 注册

* 访问http://dalab.se.sjtu.edu.cn/gitlab/users/sign_in
* 为避免滥用，仅支持使用交大邮箱进行注册。完成注册后会向你的交大邮箱发送验证链接，验证完成后才可以正常使用。如果你没有收到验证邮件，可以点击 `Forget your password?` 重置密码。
* 完成邮箱验证后，可以在用户设置界面修改为其他的邮箱。
* 如果你没有交大邮箱或注册功能已被关闭，也可以联系管理员给你发送邀请链接。

## FAQ

### 以前Gogs中的数据有迁移过来吗？

我只手动迁移了部分数据，建议你还是自己检查一下并迁移遗漏的数据。

## 常用功能简介

* Git，用于项目源码管理。
* Issue，可以用来收集用户反馈，用来进行任务进度管理，也可以拿来汇总大家调研收集的资料。
* Wiki，用于存储文档、信息。

> GitLab还有很多其他有趣的功能，最好的方法还是自己开一个测试项目，每个按钮都点点看，自己感受探索的乐趣~

## 常用链接

* [Sourcetree](https://www.sourcetreeapp.com/)：推荐使用的Git GUI客户端。
* [GitLab Help](http://dalab.se.sjtu.edu.cn/gitlab/help)：GitLab的官方帮助文档，在这里你可以系统性的了解GitLab的功能。
* [GitLab Maintenance](http://dalab.se.sjtu.edu.cn/gitlab/dalab/gitlab-maintenance)：用于存储Gitlab维护相关的内容的仓库。如果你在使用本网站时遇到了BUG或有什么建议，可以在这个仓库里创建新的Issue。